summaryrefslogtreecommitdiffstats
path: root/compass-deck/bin/refresh_agent.sh
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2017-11-03 08:48:34 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-11-03 08:48:34 +0000
commitcdbfdcb04670bba08b301789c6be08900da44f10 (patch)
treee2d20371b26863551ef6907601d06a538d8eea45 /compass-deck/bin/refresh_agent.sh
parent651da345e4fde74f81213fd08cc3a21a8421089a (diff)
parent905b0231e93ce2409a45dd6c4f5f983689fdb790 (diff)
Merge "Add compass-deck"
Diffstat (limited to 'compass-deck/bin/refresh_agent.sh')
-rwxr-xr-xcompass-deck/bin/refresh_agent.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/compass-deck/bin/refresh_agent.sh b/compass-deck/bin/refresh_agent.sh
new file mode 100755
index 0000000..13c3050
--- /dev/null
+++ b/compass-deck/bin/refresh_agent.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+# systemctl restart mysql.service
+# systemctl status mysql.service || exit $?
+# /opt/compass/bin/manage_db.py createdb
+/opt/compass/bin/clean_installers.py --noasync
+/opt/compass/bin/clean_installation_logs.py
+rm -rf /var/ansible/run/*
+# systemctl restart httpd.service
+# systemctl status httpd.service || exit $?
+systemctl restart rsyslog.service
+systemctl status rsyslog.service || exit $?
+systemctl restart redis.service
+systemctl status redis.service || exit $?
+redis-cli flushall
+systemctl restart cobblerd.service
+systemctl status cobblerd.service || exit $?
+systemctl restart compass-celeryd.service
+systemctl status compass-celeryd.service || exit $?
+# systemctl restart compass-progress-updated.service
+# systemctl status compass-progress-updated.service || exit $?
+